Skip to main content
PATCH
Partially update a project

Authorizations

Authorization
string
header
required

A Personal Access Token issued from https://app.auditynow.com/dashboard/settings/api-tokens. Format: aky_<32 random chars>.

Path Parameters

id
string<uuid>
required

The project's UUID.

Body

application/json

All fields optional. At least ONE must be present, an empty body returns 400 EMPTY_PATCH. Status, ownership, and credits are not updatable here.

clientName
string
Required string length: 1 - 200
industry
string
Required string length: 1 - 100
companySize
string
Maximum string length: 50
description
string

Up to 5000 characters. Non-string values return 400 INVALID_DESCRIPTION_TYPE.

Maximum string length: 5000
currency
string

ISO 4217 currency code.

Required string length: 3

Response

Project updated

id
string<uuid>
required
clientName
string
required
industry
string
required
companySize
string
required
status
enum<string>
required

Lifecycle state of an audit project.

Available options:
setup,
analysis,
interviews,
complete,
archived
createdAt
string<date-time>
required
description
string | null
currency
string
updatedAt
string<date-time>